SpyBara
Go Premium

resources/skills/methods/retrieve/index.md 2026-09-10 18:01 UTC to 2026-09-11 20:00 UTC

This page contains 1 addition and 1 deletion.

2026
Fri 11 20:00 Fri 18 22:59

Get Skill

get /skills/{skill_id}

Get a skill by its ID.

Path Parameters

  • skill_id: string

Returns

  • Skill object { id, created_at, default_version, 4 more }

    • id: string

      Unique identifier for the skill.

    • created_at: number

      Unix timestamp (seconds) for when the skill was created.

    • default_version: string

      Default version for the skill.

    • description: string

      Description of the skill.

    • latest_version: string

      Latest version for the skill.

    • name: string

      Name of the skill.

    • object: "skill"

      The object type, which is skill.

      • "skill"

Example

curl https://api.openai.com/v1/skills/$SKILL_ID \
    -H "Authorization: Bearer $OPENAI_API_KEY"

Response

{
  "id": "id",
  "created_at": 0,
  "default_version": "default_version",
  "description": "description",
  "latest_version": "latest_version",
  "name": "name",
  "object": "skill"
}